<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\Events;

use Dedi\SyliusMarketingPlugin\JsonSerializeTrait;

class Search implements \JsonSerializable, EventInterface
{
    use JsonSerializeTrait;

    private string $search_term;

    public function __construct(string $search_term)
    {
        $this->search_term = $search_term;
    }

    public function getName(): string
    {
        return 'search';
    }
}
